UserFunction Class Reference

Class for user defined surfaces. More...

`#include <Graph3D.h>`

Inheritance diagram for UserFunction:

## Public Member Functions

unsigned int | columns ()
QString | function ()
double | operator() (double x, double y)
unsigned int | rows ()
void | setMesh (unsigned int columns, unsigned int rows)
| UserFunction (const QString &s, Qwt3D::Curve *pw)

## Private Attributes

unsigned int | d_columns
unsigned int | d_rows
QString | formula

## Detailed Description

Class for user defined surfaces.

## Constructor & Destructor Documentation

## UserFunction()

UserFunction::UserFunction | ( | const QString & | s,
|  | Qwt3D::Curve * | pw
| ) |  |

## Member Function Documentation

## columns()

unsigned int UserFunction::columns | ( |  | ) |

inline

Referenced by Graph3D::copy(), Graph3D::save(), SurfaceDialog::setFunction(), and setMesh().

## function()

QString UserFunction::function | ( |  | ) |

inline

Referenced by Graph3D::copy(), Graph3D::formula(), Graph3D::save(), and SurfaceDialog::setFunction().

## operator()()

double UserFunction::operator() | ( | double | x,
|  | double | y
| ) |  |

References formula.

## rows()

unsigned int UserFunction::rows | ( |  | ) |

inline

Referenced by Graph3D::copy(), Graph3D::save(), SurfaceDialog::setFunction(), and setMesh().

## setMesh()

void UserFunction::setMesh | ( | unsigned int | columns,
|  | unsigned int | rows
| ) |  |

References columns(), d_columns, d_rows, and rows().

Referenced by Graph3D::addFunction().

## Member Data Documentation

## d_columns

unsigned int UserFunction::d_columns

private

Referenced by setMesh().

## d_rows

unsigned int UserFunction::d_rows

private

Referenced by setMesh().

## formula

QString UserFunction::formula

private

Referenced by operator()().

The documentation for this class was generated from the following files:

- qtiplot/src/plot3D/Graph3D.h
- qtiplot/src/plot3D/Graph3D.cpp